Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs | Functions
extract.cpp File Reference
`#include "extract.h"`
`#include "flexfx.h"`
`#include "danerror.h"`

Go to the source code of this file.

## Macros

#define | DUMMY_ERROR 1

## Typedefs

typedef CHAR_FEATURES(* | CF_FUNC )()

## Functions

void | ExtractorStub ()
CHAR_DESC | ExtractBlobFeatures (const FEATURE_DEFS_STRUCT &FeatureDefs, const DENORM &denorm, TBLOB *Blob)

## Macro Definition Documentation

#define DUMMY_ERROR 1

## Typedef Documentation

typedef CHAR_FEATURES(* CF_FUNC)()

Definition at line 25 of file extract.cpp.

## Function Documentation

CHAR_DESC ExtractBlobFeatures | ( | const FEATURE_DEFS_STRUCT & | FeatureDefs,
|  | const DENORM & | denorm,
|  | TBLOB * | Blob
| ) |  |

Extract features from Blob by calling the feature extractor which is currently being used. This routine simply provides a high level interface to feature extraction. The caller can extract any type of features from a blob without understanding any lower level details.

Parameters:

  FeatureDefs | definitions of feature types/extractors
  denorm | Normalize/denormalize to access original image
  Blob | blob to extract features from

Returns:
  The character features extracted from Blob.

Note:
  Exceptions: none
  History: Sun Jan 21 10:07:28 1990, DSJ, Created.

Definition at line 51 of file extract.cpp.

{
return (ExtractFlexFeatures(FeatureDefs, Blob, denorm));
} /* ExtractBlobFeatures */

void ExtractorStub | ( |  | ) |

This routine is used to stub out feature extractors that are no longer used. It simply calls DoError.

Note:
  Exceptions: none
  History: Wed Jan 2 14:16:49 1991, DSJ, Created.

Definition at line 61 of file extract.cpp.

{
DoError (DUMMY_ERROR, "Selected feature extractor has been stubbed out!");
} /* ExtractorStub */